public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sven Wegener" <swegener@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/augeas/
Date: Mon, 24 Sep 2018 22:22:15 +0000 (UTC)	[thread overview]
Message-ID: <1537827601.1b02322a2e772ee3c55c19c162cf5eb3c07a6fc5.swegener@gentoo> (raw)

commit:     1b02322a2e772ee3c55c19c162cf5eb3c07a6fc5
Author:     Sven Wegener <swegener <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 24 22:12:13 2018 +0000
Commit:     Sven Wegener <swegener <AT> gentoo <DOT> org>
CommitDate: Mon Sep 24 22:20:01 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b02322a

app-admin/augeas: Revision bump to fix several ebuild issues

* Move eautoreconf to src_prepare()
* Use addpredict instead of addwrite
* Do not run econf multiple times (USE flags were being ignored)
* static-libs USE flag should not disable shared libs
* Prune .la files

Signed-off-by: Sven Wegener <swegener <AT> gentoo.org>
Package-Manager: Portage-2.3.49, Repoman-2.3.10

 app-admin/augeas/augeas-1.11.0-r1.ebuild | 49 ++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/app-admin/augeas/augeas-1.11.0-r1.ebuild b/app-admin/augeas/augeas-1.11.0-r1.ebuild
new file mode 100644
index 00000000000..339423a7d7e
--- /dev/null
+++ b/app-admin/augeas/augeas-1.11.0-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="A library for changing configuration files"
+HOMEPAGE="http://augeas.net/"
+SRC_URI="http://download.augeas.net/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="LGPL-2.1"
+KEYWORDS="alpha amd64 ~arm hppa ia64 ppc ~ppc64 sparc x86"
+IUSE="static-libs test"
+
+RDEPEND="
+	dev-libs/libxml2
+	sys-libs/readline:="
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+	>=app-doc/NaturalDocs-1.40
+	test? ( dev-lang/ruby )"
+
+PATCHES=(
+)
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	# selinux needs to implemented
+	econf \
+		--without-selinux \
+		$(use_enable static-libs static)
+}
+
+src_compile() {
+	addpredict /usr/share/NaturalDocs/Config/Languages.txt
+	addpredict /usr/share/NaturalDocs/Config/Topics.txt
+	default
+}
+
+src_install() {
+	default
+	use static-libs || find "${D}" -name '*.la' -delete || die
+}


             reply	other threads:[~2018-09-24 22:22 UTC|newest]

Thread overview: 53+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-09-24 22:22 Sven Wegener [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-23 12:13 [gentoo-commits] repo/gentoo:master commit in: app-admin/augeas/ Sam James
2023-09-15 21:54 Matthew Thode
2023-09-15 21:54 Matthew Thode
2023-08-15 16:25 Matthew Thode
2023-07-16  4:01 Matthew Thode
2023-07-15 21:35 Matthew Thode
2023-02-06 22:50 Matthew Thode
2023-01-06 16:55 Matthew Thode
2022-12-08 16:49 Matthew Thode
2022-12-07 19:17 Matthew Thode
2022-11-01  9:48 Yixun Lan
2022-10-05 15:45 Sam James
2022-08-28 14:51 Andreas Sturmlechner
2021-04-29  5:44 Sam James
2021-01-15 22:07 Sam James
2021-01-09  6:56 Sam James
2019-12-08  8:32 Matthew Thode
2019-05-13 16:40 Matthew Thode
2019-04-14  0:59 Matthew Thode
2018-09-24 14:56 Matt Thode
2018-08-24 20:51 Matt Thode
2018-02-28 10:59 Matt Thode
2018-01-30  2:16 Matt Thode
2017-11-02  4:28 Matt Thode
2017-10-14 19:33 Matt Thode
2017-10-14 11:00 Sergei Trofimovich
2017-10-07 18:29 Matt Thode
2017-10-04  8:13 Sergei Trofimovich
2017-09-24 19:57 Sergei Trofimovich
2017-09-04 22:21 Aaron Bauman
2017-09-04 22:21 Aaron Bauman
2017-09-04  7:30 Tobias Klausmann
2017-09-01 22:20 Sergei Trofimovich
2017-08-30 18:13 Fabian Groffen
2017-08-18  1:21 Matt Thode
2017-04-28 17:00 Matt Thode
2017-03-21 16:35 Matt Thode
2017-01-15 10:07 Jeroen Roovers
2016-12-14  9:14 Tobias Klausmann
2016-12-07 15:43 Matt Thode
2016-11-09 22:31 Matt Thode
2016-09-29 18:00 Matt Thode
2016-09-29 13:28 Agostino Sarubbo
2016-09-29 12:35 Agostino Sarubbo
2016-09-29  9:35 Agostino Sarubbo
2016-08-07 20:33 Matt Thode
2016-07-28 14:08 Agostino Sarubbo
2016-07-28  8:43 Agostino Sarubbo
2016-07-26 11:03 Tobias Klausmann
2016-07-23  6:45 Jeroen Roovers
2016-05-12 21:20 Matt Thode
2015-08-14  1:19 Chris Reffett

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1537827601.1b02322a2e772ee3c55c19c162cf5eb3c07a6fc5.swegener@gentoo \
    --to=swegener@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox